package com.huimv.env.manage.saas.controller;


import com.huimv.env.manage.saas.service.ILampConfigAllService;
import com.huimv.env.manage.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2022-10-19
 */
@RestController
@RequestMapping("/lampConfigAll")
public class LampConfigAllController {
    @Autowired
    private ILampConfigAllService lampConfigAllService;
    @PostMapping("/listByFarmCode")
    public Result listByFarmCode(@RequestBody Map<String, String> map, HttpServletRequest request){

        return lampConfigAllService.listByFarmCode(map,request);
    }

    @PostMapping("/getPigletLampInfo")
    public Result getPigletLampInfo(@RequestBody Map<String, String> map, HttpServletRequest request){
        return lampConfigAllService.getPigletLampInfo(map,request);
    }

}
